System.Web 2.0.0.0 System.Enum System.Flags

The enumeration identifies the state of a row in a data control such as or . A row's state can be one or a combination of the values, so use bitwise operations to determine whether the state of the row includes a value, rather than an equivalence test. The enumeration is used for any type of row, not just rows (typically, the state of header and footer rows is set to ).

You can use the enumeration to identify the state of a or object when enumerating through a or collection, respectively. If you are writing a data control that uses rows, you can use the enumeration to identify when to render different colors for a row (the value), or controls that are enabled or disabled for editing a row (the and values).

Specifies the state of a row in a data control, such as or .

- Field
  System.Web.UI.WebControls.DataControlRowState

  The state can be combined with other states, such as , , or , at any time. These rows might be affected by the AlternateRowStyle property of the data control, if set.

  Indicates that the data control row is an alternate row.

  2.0.0.0
- Field
  System.Web.UI.WebControls.DataControlRowState

  Indicates that the row is in an edit state, often the result of clicking an edit button for the row. Typically, the and states are mutually exclusive.

  2.0.0.0
- Field
  System.Web.UI.WebControls.DataControlRowState

  Indicates that the row is a new row, often the result of clicking an insert button to add a new row. Typically, the and states are mutually exclusive.

  2.0.0.0
- Field
  System.Web.UI.WebControls.DataControlRowState

  Indicates that the data control row is in a normal state. The state is mutually exclusive with other states except the state.

  2.0.0.0
- Field
  System.Web.UI.WebControls.DataControlRowState

  Indicates that the row has been selected by the user.

  2.0.0.0